# Generated by Django 3.2.14 on 2022-07-20 11:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Car',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('brand', models.CharField(choices=[('TMC', 'Toyota'), ('FMC', 'FORD'), ('HVL', 'Haval'), ('KIA', 'Kia'), ('JLR', 'Land Rover'), ('VAG', 'Volkswagen'), ('FNV', 'Ferrari'), ('RNO', 'Renault'), ('VLV', 'Volvo'), ('SAT', 'Seat'), ('SKD', 'Skoda'), ('DAC', 'Dacia')], default='TMC', max_length=10, verbose_name='Марка авто')),
                ('model', models.CharField(max_length=10, null=True, verbose_name='Модель авто')),
                ('year', models.IntegerField(null=True, verbose_name='Год выпуска')),
            ],
            options={
                'verbose_name': 'Название авто',
                'verbose_name_plural': 'Название авто',
            },
        ),
        migrations.CreateModel(
            name='Country',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('country', models.CharField(choices=[('JPN', 'Япония'), ('USA', 'США'), ('CHN', 'Китай'), ('KOR', 'Корея'), ('ENG', 'Англия'), ('GER', 'Германия'), ('FRA', 'Франция'), ('SWE', 'Швеция'), ('ESP', 'Испания'), ('CZE', 'Чехия'), ('ROU', 'Румыния'), ('RUS', 'Россия')], default='JPN', max_length=10, verbose_name='Страна приозведителя')),
            ],
            options={
                'verbose_name': 'Название страны',
                'verbose_name_plural': 'Название страны',
            },
        ),
        migrations.CreateModel(
            name='Parts',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='Наименование запчасти')),
                ('count', models.IntegerField(verbose_name='Количество')),
                ('id_car', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='car.car', verbose_name='Код автомобиля')),
                ('id_country', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='car.country', verbose_name='Код страны производителя')),
            ],
            options={
                'verbose_name': 'Запчасть',
                'verbose_name_plural': 'Запчасти',
            },
        ),
        migrations.AddField(
            model_name='car',
            name='id_country',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='id_country', to='car.country'),
        ),
    ]
